package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.AbstractRoom;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

import java.util.List;

public class AllRoomsNode extends Renderable{

    private final List<? extends AbstractRoom> rooms;

    public AllRoomsNode(List<? extends AbstractRoom> rooms) {
        this.rooms = rooms;
    }

    @Override
    public String getText() {
        return "Building Rooms";
    }

    @Override
    public void visit(Renderer renderer) {
        renderer.clearCurrentRender();
    }

    @Override
    public void refreshTextColor() {
        boolean wasChecked = false;
        for (AbstractRoom ar : rooms) {
            if (ar.isValidated()) {
                wasChecked = true;
                if (ar.containsAnyError()) {
                    setStatus(CheckStatus.ERROR);
                    return;
                }
            }
        }
        if (wasChecked) {
            setStatus(CheckStatus.OK);
        } else {
            setStatus(CheckStatus.NOT_CHECKED);
        }
    }
}
