package de.hft.stuttgart.citydoctor2.healer.gui;

import java.io.IOException;
import java.io.UncheckedIOException;

import de.hft.stuttgart.citydoctor2.gui.MainWindow;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.CheckBox;
import javafx.scene.image.Image;
import javafx.stage.Modality;
import javafx.stage.Stage;

public class SolidInjectorDialog {

	@FXML
	private CheckBox useBiCheckBox;

	@FXML
	private CheckBox useBsCheckBox;

	@FXML
	private Button okBtn;

	@FXML
	private Button cancelBtn;

	@FXML
	private CheckBox lod2Box;

	@FXML
	private CheckBox lod3Box;

	@FXML
	private CheckBox lod4Box;

	private HealerController controller;

	private Stage stage;

	public SolidInjectorDialog(HealerController controller) {
		this.controller = controller;
		FXMLLoader loader = new FXMLLoader(getClass().getResource("solidInjectorDialog.fxml"));
		loader.setController(this);
		try {
			Parent n = loader.load();
			stage = new Stage();
			stage.getIcons().add(new Image(MainWindow.class.getResourceAsStream("icons/CityDoctor-Logo-rot_klein.jpg")));
			Scene scene = new Scene(n);
			stage.setScene(scene);
			stage.initModality(Modality.APPLICATION_MODAL);
			stage.setTitle("Solid Injector");
		} catch (IOException e) {
			throw new UncheckedIOException(e);
		}
	}

	public void initialize() {
		okBtn.setOnAction(ae -> {
			controller.injectSolid(useBsCheckBox.isSelected(), useBiCheckBox.isSelected(), lod2Box.isSelected(),
					lod3Box.isSelected(), lod4Box.isSelected());
			stage.close();
		});
		cancelBtn.setOnAction(ae -> stage.close());
	}

	public void show() {
		stage.showAndWait();
	}

}
